summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Sergey Poznyakoff <gray@gnu.org>2018-02-01 06:14:54 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-02-01 06:14:54 +0700
commit0c0399891ad77e79ff7d65b6ca0c468379df434f (patch)
tree21e922b27563a72455102aa6d03fb07af3cd34bf /system
parent4d9c67fa704f6f657c13e34514334903f962fe8a (diff)
downloadslackbuilds-0c0399891ad77e79ff7d65b6ca0c468379df434f.tar.gz
slackbuilds-0c0399891ad77e79ff7d65b6ca0c468379df434f.tar.xz
system/mailutils: Added (email handling).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/mailutils/README11
-rw-r--r--system/mailutils/mailutils.SlackBuild91
-rw-r--r--system/mailutils/mailutils.info10
-rw-r--r--system/mailutils/slack-desc19
4 files changed, 131 insertions, 0 deletions
diff --git a/system/mailutils/README b/system/mailutils/README
new file mode 100644
index 0000000000..b9645887b0
--- /dev/null
+++ b/system/mailutils/README
@@ -0,0 +1,11 @@
+GNU mailutils is a powerful protocol-independent mail framework. It provides
+a set of libraries for writing flexible mail-handling software, as well as
+a number of utilities for both local and remote mail handling. Among the
+utilities provided are pop3 and imap4 servers, sieve mail filtering utility,
+mailx-compatible mail client and others.
+
+NOTE: This package overwrite some files in Slackware's core packages:
+- elm
+- mailx
+
+If you removed mailutils, don't forget to reinstall them again.
diff --git a/system/mailutils/mailutils.SlackBuild b/system/mailutils/mailutils.SlackBuild
new file mode 100644
index 0000000000..b43c91907b
--- /dev/null
+++ b/system/mailutils/mailutils.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for GNU mailutils
+
+# Copyright 2018 Sergey Poznyakoff, <gray@gnu.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mailutils
+VERSION=${VERSION:-3.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+
+./configure \
+ DEFAULT_CUPS_CONFDIR=/etc/cups \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --localstatedir=/var/lib \
+ --with-guile-site-dir
+
+make
+make install DESTDIR=$PKG
+
+rm -f $PKG/usr/info/dir
+gzip -9f $PKG/usr/info/*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING COPYING.LESSER ChangeLog NEWS README THANKS TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/mailutils/mailutils.info b/system/mailutils/mailutils.info
new file mode 100644
index 0000000000..7203f933cd
--- /dev/null
+++ b/system/mailutils/mailutils.info
@@ -0,0 +1,10 @@
+PRGNAM="mailutils"
+VERSION="3.4"
+HOMEPAGE="http://mailutils.org"
+DOWNLOAD="https://ftp.gnu.org/gnu/mailutils/mailutils-3.4.tar.gz"
+MD5SUM="3d31bb94fe00236a5c32f34d4ed4b49d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libgsasl %README%"
+MAINTAINER="Sergey Poznyakoff"
+EMAIL="gray@gnu.org"
diff --git a/system/mailutils/slack-desc b/system/mailutils/slack-desc
new file mode 100644
index 0000000000..c4f2fd4cd4
--- /dev/null
+++ b/system/mailutils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mailutils: mailutils (email handling)
+mailutils:
+mailutils: GNU Mailutils is a swiss army knife of electronic mail handling. It
+mailutils: provides a number of mail-related utilities and daemons, including
+mailutils: pop3d, imap4d, sieve and a universal mail delivery agent, called
+mailutils: maidag. All utilities are able to operate on mailboxes of any
+mailutils: format.
+mailutils:
+mailutils: This is an official GNU package, maintained by Sergey Poznyakoff.
+mailutils: Homepage: https://mailutils.org
+mailutils: